# Visualization
TKV3d
SelectMgr

# SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion Class Reference

`#include <SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion.hxx>`

## Public Member Functions

| SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion (const Handle(SelectBasics_EntityOwner)&K1, const Standard_Integer K2, const SelectMgr_SortCriterion &I, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_SelectBasics_EntityOwner & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
SelectMgr_SortCriterion & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_SelectBasics_EntityOwner | myKey1
Standard_Integer | myKey2
SelectMgr_SortCriterion | myValue
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion | ( | const Handle(SelectBasics_EntityOwner)& | K1,
|  | const Standard_Integer | K2,
|  | const SelectMgr_SortCriterion & | I,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::Handle | ( | Standard_Type |  | ) | const

Handle_SelectBasics_EntityOwner& SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::Key1 | ( |  | ) | const

Standard_Integer& SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::Key2 | ( |  | ) | const

TCollection_MapNodePtr& SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::Next2 | ( |  | ) | const

SelectMgr_SortCriterion& SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::Value | ( |  | ) | const

## Field Documentation

Handle_SelectBasics_EntityOwner SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::myKey1 `[private]`

Standard_Integer SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::myKey2 `[private]`

TCollection_MapNodePtr SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::myNext2 `[private]`

SelectMgr_SortCriterion SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion::myValue `[private]`

The documentation for this class was generated from the following file:

- SelectMgr_IndexedDataMapNodeOfIndexedDataMapOfOwnerCriterion.hxx